summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 64edf4b)
raw | patch | inline | side by side (parent: 64edf4b)
author | Junio C Hamano <junkio@cox.net> | |
Sat, 3 Mar 2007 21:04:54 +0000 (13:04 -0800) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Sat, 3 Mar 2007 21:04:54 +0000 (13:04 -0800) |
When we cannot fast forward the working tree and the current
branch, git-merge did not exit with non-zero status.
Noticed by Larry Streepy, the section to be fixed identfied by
Johannes Schindelin.
Signed-off-by: Junio C Hamano <junkio@cox.net>
branch, git-merge did not exit with non-zero status.
Noticed by Larry Streepy, the section to be fixed identfied by
Johannes Schindelin.
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-merge.sh | patch | blob | history |
diff --git a/git-merge.sh b/git-merge.sh
index 498c938c4507ccdc27f5a9e30e85f013a067c876..4afcd95316c01e5d1811184c615c4da574ab0717 100755 (executable)
--- a/git-merge.sh
+++ b/git-merge.sh
git-update-index --refresh 2>/dev/null
new_head=$(git-rev-parse --verify "$1^0") &&
git-read-tree -v -m -u --exclude-per-directory=.gitignore $head "$new_head" &&
- finish "$new_head" "Fast forward"
+ finish "$new_head" "Fast forward" || exit
dropsave
exit 0
;;